Linux Today: Linux News On Internet Time.





More on LinuxToday


ABI compliance checker

Aug 20, 2009, 17:04 (0 Talkback[s])

[ Thanks to Andrey Ponomarenko for this link. ]

"Breakage of the binary compatibility may result in crashing or incorrect behavior of applications built with an old version of a library when it is running with a new one. ABI-compliance-checker was intended for library developers that are interested in ensuring backward binary compatibility. Also ABI-compliance-checker may be used for checking forward binary compatibility and ABI compliance checking of library versions placed on different machines. This tool is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License."

Complete Story

Related Stories: